﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Este código fue generado por una herramienta.
//     Versión de runtime:4.0.30319.42000
//
//     Los cambios en este archivo podrían causar un comportamiento incorrecto y se perderán si
//     se vuelve a generar el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace proyectoPI.wsClases {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="wsClases.wsClasesSoap")]
    public interface wsClasesSoap {
        
        // CODEGEN: Se está generando un contrato de mensaje, ya que el mensaje AutenticacionUsuarioRequest tiene encabezados.
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/AutenticacionUsuario", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        proyectoPI.wsClases.AutenticacionUsuarioResponse AutenticacionUsuario(proyectoPI.wsClases.AutenticacionUsuarioRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/AutenticacionUsuario", ReplyAction="*")]
        System.Threading.Tasks.Task<proyectoPI.wsClases.AutenticacionUsuarioResponse> AutenticacionUsuarioAsync(proyectoPI.wsClases.AutenticacionUsuarioRequest request);
        
        // CODEGEN: Se está generando un contrato de mensaje, ya que el mensaje GetClaseRequest tiene encabezados.
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/GetClase", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        proyectoPI.wsClases.GetClaseResponse GetClase(proyectoPI.wsClases.GetClaseRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/GetClase", ReplyAction="*")]
        System.Threading.Tasks.Task<proyectoPI.wsClases.GetClaseResponse> GetClaseAsync(proyectoPI.wsClases.GetClaseRequest request);
        
        // CODEGEN: Se está generando un contrato de mensaje, ya que el mensaje InsertarClaseRequest tiene encabezados.
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/InsertarClase", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        proyectoPI.wsClases.InsertarClaseResponse InsertarClase(proyectoPI.wsClases.InsertarClaseRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/InsertarClase", ReplyAction="*")]
        System.Threading.Tasks.Task<proyectoPI.wsClases.InsertarClaseResponse> InsertarClaseAsync(proyectoPI.wsClases.InsertarClaseRequest request);
    }
    
    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.1586.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class Security : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string tokenField;
        
        private string autenticationTokenField;
        
        private System.Xml.XmlAttribute[] anyAttrField;
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public string Token {
            get {
                return this.tokenField;
            }
            set {
                this.tokenField = value;
                this.RaisePropertyChanged("Token");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public string AutenticationToken {
            get {
                return this.autenticationTokenField;
            }
            set {
                this.autenticationTokenField = value;
                this.RaisePropertyChanged("AutenticationToken");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlAnyAttributeAttribute()]
        public System.Xml.XmlAttribute[] AnyAttr {
            get {
                return this.anyAttrField;
            }
            set {
                this.anyAttrField = value;
                this.RaisePropertyChanged("AnyAttr");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.1586.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class Documentos : object, System.ComponentModel.INotifyPropertyChanged {
        
        private long documentosIdField;
        
        private string descripcionField;
        
        private string urlField;
        
        private System.Nullable<long> clasesIdField;
        
        private Clases clasesField;
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public long DocumentosId {
            get {
                return this.documentosIdField;
            }
            set {
                this.documentosIdField = value;
                this.RaisePropertyChanged("DocumentosId");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public string Descripcion {
            get {
                return this.descripcionField;
            }
            set {
                this.descripcionField = value;
                this.RaisePropertyChanged("Descripcion");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=2)]
        public string Url {
            get {
                return this.urlField;
            }
            set {
                this.urlField = value;
                this.RaisePropertyChanged("Url");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=3)]
        public System.Nullable<long> ClasesId {
            get {
                return this.clasesIdField;
            }
            set {
                this.clasesIdField = value;
                this.RaisePropertyChanged("ClasesId");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=4)]
        public Clases Clases {
            get {
                return this.clasesField;
            }
            set {
                this.clasesField = value;
                this.RaisePropertyChanged("Clases");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.1586.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class Clases : object, System.ComponentModel.INotifyPropertyChanged {
        
        private long clasesIdField;
        
        private System.Nullable<long> cursoIdField;
        
        private string linkVideoField;
        
        private string descripcionField;
        
        private string tituloField;
        
        private System.Nullable<int> calificacionField;
        
        private System.Nullable<System.DateTime> fecha_PublicacionField;
        
        private Cursos cursosField;
        
        private Comentarios[] comentariosField;
        
        private Documentos[] documentosField;
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public long ClasesId {
            get {
                return this.clasesIdField;
            }
            set {
                this.clasesIdField = value;
                this.RaisePropertyChanged("ClasesId");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=1)]
        public System.Nullable<long> CursoId {
            get {
                return this.cursoIdField;
            }
            set {
                this.cursoIdField = value;
                this.RaisePropertyChanged("CursoId");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=2)]
        public string LinkVideo {
            get {
                return this.linkVideoField;
            }
            set {
                this.linkVideoField = value;
                this.RaisePropertyChanged("LinkVideo");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=3)]
        public string Descripcion {
            get {
                return this.descripcionField;
            }
            set {
                this.descripcionField = value;
                this.RaisePropertyChanged("Descripcion");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=4)]
        public string Titulo {
            get {
                return this.tituloField;
            }
            set {
                this.tituloField = value;
                this.RaisePropertyChanged("Titulo");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=5)]
        public System.Nullable<int> Calificacion {
            get {
                return this.calificacionField;
            }
            set {
                this.calificacionField = value;
                this.RaisePropertyChanged("Calificacion");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=6)]
        public System.Nullable<System.DateTime> Fecha_Publicacion {
            get {
                return this.fecha_PublicacionField;
            }
            set {
                this.fecha_PublicacionField = value;
                this.RaisePropertyChanged("Fecha_Publicacion");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=7)]
        public Cursos Cursos {
            get {
                return this.cursosField;
            }
            set {
                this.cursosField = value;
                this.RaisePropertyChanged("Cursos");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlArrayAttribute(Order=8)]
        public Comentarios[] Comentarios {
            get {
                return this.comentariosField;
            }
            set {
                this.comentariosField = value;
                this.RaisePropertyChanged("Comentarios");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlArrayAttribute(Order=9)]
        public Documentos[] Documentos {
            get {
                return this.documentosField;
            }
            set {
                this.documentosField = value;
                this.RaisePropertyChanged("Documentos");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.1586.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class Cursos : object, System.ComponentModel.INotifyPropertyChanged {
        
        private long cursoIdField;
        
        private string tituloField;
        
        private string descripcionField;
        
        private string requisitosField;
        
        private System.Nullable<int> calificacionField;
        
        private System.Nullable<int> statusField;
        
        private System.Nullable<System.DateTime> fecha_PublicacionField;
        
        private System.Nullable<long> userIdField;
        
        private string verificacionModeradorField;
        
        private Clases[] clasesField;
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public long CursoId {
            get {
                return this.cursoIdField;
            }
            set {
                this.cursoIdField = value;
                this.RaisePropertyChanged("CursoId");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public string Titulo {
            get {
                return this.tituloField;
            }
            set {
                this.tituloField = value;
                this.RaisePropertyChanged("Titulo");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=2)]
        public string Descripcion {
            get {
                return this.descripcionField;
            }
            set {
                this.descripcionField = value;
                this.RaisePropertyChanged("Descripcion");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=3)]
        public string Requisitos {
            get {
                return this.requisitosField;
            }
            set {
                this.requisitosField = value;
                this.RaisePropertyChanged("Requisitos");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=4)]
        public System.Nullable<int> Calificacion {
            get {
                return this.calificacionField;
            }
            set {
                this.calificacionField = value;
                this.RaisePropertyChanged("Calificacion");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=5)]
        public System.Nullable<int> Status {
            get {
                return this.statusField;
            }
            set {
                this.statusField = value;
                this.RaisePropertyChanged("Status");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=6)]
        public System.Nullable<System.DateTime> Fecha_Publicacion {
            get {
                return this.fecha_PublicacionField;
            }
            set {
                this.fecha_PublicacionField = value;
                this.RaisePropertyChanged("Fecha_Publicacion");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=7)]
        public System.Nullable<long> UserId {
            get {
                return this.userIdField;
            }
            set {
                this.userIdField = value;
                this.RaisePropertyChanged("UserId");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=8)]
        public string VerificacionModerador {
            get {
                return this.verificacionModeradorField;
            }
            set {
                this.verificacionModeradorField = value;
                this.RaisePropertyChanged("VerificacionModerador");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlArrayAttribute(Order=9)]
        public Clases[] Clases {
            get {
                return this.clasesField;
            }
            set {
                this.clasesField = value;
                this.RaisePropertyChanged("Clases");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.1586.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class Comentarios : object, System.ComponentModel.INotifyPropertyChanged {
        
        private long comentariosIdField;
        
        private string comentarioField;
        
        private System.Nullable<long> clasesIdField;
        
        private System.Nullable<long> userIdField;
        
        private Clases clasesField;
        
        private User userField;
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public long ComentariosId {
            get {
                return this.comentariosIdField;
            }
            set {
                this.comentariosIdField = value;
                this.RaisePropertyChanged("ComentariosId");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public string Comentario {
            get {
                return this.comentarioField;
            }
            set {
                this.comentarioField = value;
                this.RaisePropertyChanged("Comentario");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=2)]
        public System.Nullable<long> ClasesId {
            get {
                return this.clasesIdField;
            }
            set {
                this.clasesIdField = value;
                this.RaisePropertyChanged("ClasesId");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=3)]
        public System.Nullable<long> UserId {
            get {
                return this.userIdField;
            }
            set {
                this.userIdField = value;
                this.RaisePropertyChanged("UserId");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=4)]
        public Clases Clases {
            get {
                return this.clasesField;
            }
            set {
                this.clasesField = value;
                this.RaisePropertyChanged("Clases");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=5)]
        public User User {
            get {
                return this.userField;
            }
            set {
                this.userField = value;
                this.RaisePropertyChanged("User");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.1586.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class User : object, System.ComponentModel.INotifyPropertyChanged {
        
        private long userIdField;
        
        private string nombresField;
        
        private string apellidosField;
        
        private string emailField;
        
        private string passwordField;
        
        private System.Nullable<int> rolIdField;
        
        private System.Nullable<int> statusField;
        
        private Comentarios[] comentariosField;
        
        private Rol rolField;
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public long UserId {
            get {
                return this.userIdField;
            }
            set {
                this.userIdField = value;
                this.RaisePropertyChanged("UserId");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public string Nombres {
            get {
                return this.nombresField;
            }
            set {
                this.nombresField = value;
                this.RaisePropertyChanged("Nombres");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=2)]
        public string Apellidos {
            get {
                return this.apellidosField;
            }
            set {
                this.apellidosField = value;
                this.RaisePropertyChanged("Apellidos");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=3)]
        public string Email {
            get {
                return this.emailField;
            }
            set {
                this.emailField = value;
                this.RaisePropertyChanged("Email");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=4)]
        public string Password {
            get {
                return this.passwordField;
            }
            set {
                this.passwordField = value;
                this.RaisePropertyChanged("Password");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=5)]
        public System.Nullable<int> RolId {
            get {
                return this.rolIdField;
            }
            set {
                this.rolIdField = value;
                this.RaisePropertyChanged("RolId");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=6)]
        public System.Nullable<int> Status {
            get {
                return this.statusField;
            }
            set {
                this.statusField = value;
                this.RaisePropertyChanged("Status");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlArrayAttribute(Order=7)]
        public Comentarios[] Comentarios {
            get {
                return this.comentariosField;
            }
            set {
                this.comentariosField = value;
                this.RaisePropertyChanged("Comentarios");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=8)]
        public Rol Rol {
            get {
                return this.rolField;
            }
            set {
                this.rolField = value;
                this.RaisePropertyChanged("Rol");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.1586.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class Rol : object, System.ComponentModel.INotifyPropertyChanged {
        
        private int rolIdField;
        
        private string descripcionField;
        
        private User[] userField;
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public int RolId {
            get {
                return this.rolIdField;
            }
            set {
                this.rolIdField = value;
                this.RaisePropertyChanged("RolId");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public string Descripcion {
            get {
                return this.descripcionField;
            }
            set {
                this.descripcionField = value;
                this.RaisePropertyChanged("Descripcion");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlArrayAttribute(Order=2)]
        public User[] User {
            get {
                return this.userField;
            }
            set {
                this.userField = value;
                this.RaisePropertyChanged("User");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="AutenticacionUsuario", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class AutenticacionUsuarioRequest {
        
        [System.ServiceModel.MessageHeaderAttribute(Namespace="http://tempuri.org/")]
        public proyectoPI.wsClases.Security Security;
        
        public AutenticacionUsuarioRequest() {
        }
        
        public AutenticacionUsuarioRequest(proyectoPI.wsClases.Security Security) {
            this.Security = Security;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="AutenticacionUsuarioResponse", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class AutenticacionUsuarioResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public string AutenticacionUsuarioResult;
        
        public AutenticacionUsuarioResponse() {
        }
        
        public AutenticacionUsuarioResponse(string AutenticacionUsuarioResult) {
            this.AutenticacionUsuarioResult = AutenticacionUsuarioResult;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="GetClase", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class GetClaseRequest {
        
        [System.ServiceModel.MessageHeaderAttribute(Namespace="http://tempuri.org/")]
        public proyectoPI.wsClases.Security Security;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public long clasesId;
        
        public GetClaseRequest() {
        }
        
        public GetClaseRequest(proyectoPI.wsClases.Security Security, long clasesId) {
            this.Security = Security;
            this.clasesId = clasesId;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="GetClaseResponse", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class GetClaseResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public proyectoPI.wsClases.Clases GetClaseResult;
        
        public GetClaseResponse() {
        }
        
        public GetClaseResponse(proyectoPI.wsClases.Clases GetClaseResult) {
            this.GetClaseResult = GetClaseResult;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="InsertarClase", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class InsertarClaseRequest {
        
        [System.ServiceModel.MessageHeaderAttribute(Namespace="http://tempuri.org/")]
        public proyectoPI.wsClases.Security Security;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public proyectoPI.wsClases.Clases clases;
        
        public InsertarClaseRequest() {
        }
        
        public InsertarClaseRequest(proyectoPI.wsClases.Security Security, proyectoPI.wsClases.Clases clases) {
            this.Security = Security;
            this.clases = clases;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="InsertarClaseResponse", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class InsertarClaseResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public proyectoPI.wsClases.Clases InsertarClaseResult;
        
        public InsertarClaseResponse() {
        }
        
        public InsertarClaseResponse(proyectoPI.wsClases.Clases InsertarClaseResult) {
            this.InsertarClaseResult = InsertarClaseResult;
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface wsClasesSoapChannel : proyectoPI.wsClases.wsClasesSoap, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class wsClasesSoapClient : System.ServiceModel.ClientBase<proyectoPI.wsClases.wsClasesSoap>, proyectoPI.wsClases.wsClasesSoap {
        
        public wsClasesSoapClient() {
        }
        
        public wsClasesSoapClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public wsClasesSoapClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public wsClasesSoapClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public wsClasesSoapClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        proyectoPI.wsClases.AutenticacionUsuarioResponse proyectoPI.wsClases.wsClasesSoap.AutenticacionUsuario(proyectoPI.wsClases.AutenticacionUsuarioRequest request) {
            return base.Channel.AutenticacionUsuario(request);
        }
        
        public string AutenticacionUsuario(proyectoPI.wsClases.Security Security) {
            proyectoPI.wsClases.AutenticacionUsuarioRequest inValue = new proyectoPI.wsClases.AutenticacionUsuarioRequest();
            inValue.Security = Security;
            proyectoPI.wsClases.AutenticacionUsuarioResponse retVal = ((proyectoPI.wsClases.wsClasesSoap)(this)).AutenticacionUsuario(inValue);
            return retVal.AutenticacionUsuarioResult;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<proyectoPI.wsClases.AutenticacionUsuarioResponse> proyectoPI.wsClases.wsClasesSoap.AutenticacionUsuarioAsync(proyectoPI.wsClases.AutenticacionUsuarioRequest request) {
            return base.Channel.AutenticacionUsuarioAsync(request);
        }
        
        public System.Threading.Tasks.Task<proyectoPI.wsClases.AutenticacionUsuarioResponse> AutenticacionUsuarioAsync(proyectoPI.wsClases.Security Security) {
            proyectoPI.wsClases.AutenticacionUsuarioRequest inValue = new proyectoPI.wsClases.AutenticacionUsuarioRequest();
            inValue.Security = Security;
            return ((proyectoPI.wsClases.wsClasesSoap)(this)).AutenticacionUsuarioAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        proyectoPI.wsClases.GetClaseResponse proyectoPI.wsClases.wsClasesSoap.GetClase(proyectoPI.wsClases.GetClaseRequest request) {
            return base.Channel.GetClase(request);
        }
        
        public proyectoPI.wsClases.Clases GetClase(proyectoPI.wsClases.Security Security, long clasesId) {
            proyectoPI.wsClases.GetClaseRequest inValue = new proyectoPI.wsClases.GetClaseRequest();
            inValue.Security = Security;
            inValue.clasesId = clasesId;
            proyectoPI.wsClases.GetClaseResponse retVal = ((proyectoPI.wsClases.wsClasesSoap)(this)).GetClase(inValue);
            return retVal.GetClaseResult;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<proyectoPI.wsClases.GetClaseResponse> proyectoPI.wsClases.wsClasesSoap.GetClaseAsync(proyectoPI.wsClases.GetClaseRequest request) {
            return base.Channel.GetClaseAsync(request);
        }
        
        public System.Threading.Tasks.Task<proyectoPI.wsClases.GetClaseResponse> GetClaseAsync(proyectoPI.wsClases.Security Security, long clasesId) {
            proyectoPI.wsClases.GetClaseRequest inValue = new proyectoPI.wsClases.GetClaseRequest();
            inValue.Security = Security;
            inValue.clasesId = clasesId;
            return ((proyectoPI.wsClases.wsClasesSoap)(this)).GetClaseAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        proyectoPI.wsClases.InsertarClaseResponse proyectoPI.wsClases.wsClasesSoap.InsertarClase(proyectoPI.wsClases.InsertarClaseRequest request) {
            return base.Channel.InsertarClase(request);
        }
        
        public proyectoPI.wsClases.Clases InsertarClase(proyectoPI.wsClases.Security Security, proyectoPI.wsClases.Clases clases) {
            proyectoPI.wsClases.InsertarClaseRequest inValue = new proyectoPI.wsClases.InsertarClaseRequest();
            inValue.Security = Security;
            inValue.clases = clases;
            proyectoPI.wsClases.InsertarClaseResponse retVal = ((proyectoPI.wsClases.wsClasesSoap)(this)).InsertarClase(inValue);
            return retVal.InsertarClaseResult;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<proyectoPI.wsClases.InsertarClaseResponse> proyectoPI.wsClases.wsClasesSoap.InsertarClaseAsync(proyectoPI.wsClases.InsertarClaseRequest request) {
            return base.Channel.InsertarClaseAsync(request);
        }
        
        public System.Threading.Tasks.Task<proyectoPI.wsClases.InsertarClaseResponse> InsertarClaseAsync(proyectoPI.wsClases.Security Security, proyectoPI.wsClases.Clases clases) {
            proyectoPI.wsClases.InsertarClaseRequest inValue = new proyectoPI.wsClases.InsertarClaseRequest();
            inValue.Security = Security;
            inValue.clases = clases;
            return ((proyectoPI.wsClases.wsClasesSoap)(this)).InsertarClaseAsync(inValue);
        }
    }
}
